Bug 246268 - www/kanboard: Update to 1.2.16
Summary: www/kanboard: Update to 1.2.16
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Li-Wen Hsu
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2020-05-06 21:03 UTC by Volodymyr Kostyrko
Modified: 2020-10-22 01:14 UTC (History)
4 users (show)

See Also:


Attachments
update to 1.2.14 (4.31 KB, patch)
2020-05-06 21:03 UTC, Volodymyr Kostyrko
no flags Details | Diff
kanboard-diff-flavors (4.73 KB, patch)
2020-05-11 19:39 UTC, Daniel Tihanyi
no flags Details | Diff
kanboard-diff-flavors (4.71 KB, patch)
2020-05-11 19:40 UTC, Daniel Tihanyi
no flags Details | Diff
kanboard-diff-flavors (4.72 KB, patch)
2020-05-11 19:42 UTC, Daniel Tihanyi
no flags Details | Diff
kanboard-1.2.15-flavors-opcache (20.59 KB, patch)
2020-06-21 08:11 UTC, Daniel Tihanyi
no flags Details | Diff
kanboard-1.2.15-flavors-opcache-v2 (20.94 KB, patch)
2020-08-12 16:49 UTC, Daniel Tihanyi
no flags Details | Diff
Kanboard 1.2.16 With Flavors and Opcache (28.39 KB, patch)
2020-10-19 06:15 UTC, Daniel Tihanyi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Volodymyr Kostyrko 2020-05-06 21:03:34 UTC
Created attachment 214212 [details]
update to 1.2.14

Changes:

1.2.14
    Update translations
    Add new event subtask.create_update
    Replace Travis CI by GitHub Actions
    Add option to enable or disable global tags per projects
    Show group membership(s) in user summary and user list
    Docker: use real hostname instead of "localhost"
    Add new task/project image hooks
    Fix invalid RSS feed encoding
    Add new plugin hooks
    Rename "private" projects to "personal"
    Add per-project and per-swimlane task limits
    Use parent task color when converting a subtask to task
    Add environment variables support to configure the application
    Add the possibility to make project tags global from project settings
    Fix regex to detect external links with attachments
    Use KANBOARD_URL to build URIs if specified
    Make time_spent and time_estimated fields editable for updateTask and createTask API calls
    Kanboard now requires PHP >= 7.2 since other versions are deprecated
    Avoid page shrinking when drag and drop cards on iOS devices
    Added a hover color to i elements inside the "dropdown-submenu-open" class
    Avoid duplicating Dockerfiles for each architecture

1.2.13

    Adjust width of time tracking column
    Make subtasks not wrap under icons
    Make column scrollable in Kanban view
    Add composer dependency roave/security-advisories
    Add colors to tag and category lists
    Update Parsedown to v1.7.3 (security update)
    Make sure the elements behind the alert notification are clickable after animation
    Make sure incompatible plugins can be uninstalled from the web ui
    Move "data-js-lang" attribute to HTML "lang" attribute
    Update language codes for time picker so the calendars are translated correctly
    Dropdown in project managers view covers heading
    Fix date picker datetime parsing when using pre-defined localized versions of am/pm
    Show ISO date format in application settings
    Datepicker stores its Spanish locales as "es", not "es-ES" or "es-VE"
    Increase width of color picker to avoid text overlap in Polish
    Close open menu when clicking again on the button
    Fix width of filter bar in mobile
    In PHP-7.4, nested ternary operators are to be bracketed
    Change string indexing from {0} to [0] (deprecated in PHP 7.4)
    Update translations

1.2.12

    Update Docker image to Alpine Linux 3.10.3
    Add new template hook: "template:project-permission:after-adduser"
    Upgrade jQuery to version 3.4.1
    Add Spanish (Venezuela) translation
    Removed color_id requirement for tag API calls
    Fix subtask restriction modal when clicking on the icon instead of link
    Use PHPUnit 5 for Vagrant
    Prevent last project manager role from being removed
    Check API token before LDAP authentication
    Make sure task limit consider all open tasks (not only filtered tasks)
    Update translations
    Change user filter and category icon
    Add "anybody" filter
    Disable user scaling to avoid page shrinking when drag&drop on mobile
    Fix condition for action "Automatically update the start date when task move away from certain column"
    Add tests for task link and subtask assignee filters
    Changes filters from in array to subqueries
    Add hash to image URL to force browser to update avatar image when changed
Comment 1 Automation User 2020-05-11 13:52:36 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/144528496
Comment 2 Daniel Tihanyi 2020-05-11 19:39:06 UTC
Created attachment 214388 [details]
kanboard-diff-flavors

I added flavors so it can build with php7.2, php7.3 and php7.4 too.
Comment 3 Daniel Tihanyi 2020-05-11 19:40:57 UTC
Created attachment 214389 [details]
kanboard-diff-flavors

I removed the portversion
Comment 4 Daniel Tihanyi 2020-05-11 19:42:39 UTC
Created attachment 214390 [details]
kanboard-diff-flavors
Comment 5 Automation User 2020-05-26 00:26:14 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/149497060
Comment 6 Daniel Tihanyi 2020-06-21 08:11:06 UTC
Created attachment 215839 [details]
kanboard-1.2.15-flavors-opcache

Kanboard 1.2.15 is released. In addition to the flavors, I also turned on OPCache.

Release notes for 1.2.15:

Update dependencies
Added PUT method using CURLOPT_CUSTOMREQUEST
Run integration tests on Github Actions
Fixed capitalization of sAMAccountName for LDAP_USER_ATTRIBUTE_USERNAME example
Added missing closing HTML tag in template
Update Docker image to Alpine 3.12
Removed paragonie/random_compat (not required for PHP 7)
Setup Dependabot on GitHub
Allow use of the user's DN as the group filter substitution
Add subtask events to ProjectModificationDateSubscriber
Update Vagrantfile to Ubuntu 20.04
Open large modal when clicking on edit category link
Set margin-bottom at 0 only for the last child of a tooltip element
Prevent last swimlane to be hidden if there is only one
Execute tooltip listeners only once when the DOM is ready
Use Ajax request for Markdown preview
Make tooltip events bubble
Keep newlines in markdown
Show the color dropdown when creating a new automatic action
Update translations
Correct duration calculation
Copy subtask assignee when duplicating a task
Save task list order in user session
Add action to assign a user when the swimlane change
Comment 7 Daniel Tihanyi 2020-08-10 17:31:12 UTC
If the maintainer is unavailable, I would like to apply as maintainer.
Comment 8 Li-Wen Hsu freebsd_committer 2020-08-10 17:38:10 UTC
(In reply to Daniel Tihanyi from comment #6)
I tested this patch https://bugs.freebsd.org/bugzilla/attachment.cgi?id=215839 but got:

=> Fetched file size mismatch (expected 3282472, actual 3282471)

Could you check if there is anything changed in the upstream?
Comment 9 Daniel Tihanyi 2020-08-12 16:49:26 UTC
Created attachment 217171 [details]
kanboard-1.2.15-flavors-opcache-v2

(In reply to Li-Wen Hsu from comment #8)
Hi Li-Wen,
Yes it seems it changed upstream. I regenerated a new distinfo file, ran my tests again and attached the correct diff file.
Comment 10 Daniel Tihanyi 2020-10-11 11:49:46 UTC
Kanboard 1.2.16 is released, but I'm hesitant to update the diff here as it seems that whenever the diff is updated, the maintainer timeout is reset.
This bug was opened at the beginning on May, since then I saw no feedback from the maintainer. Should we wait until the end of October to have the diff feedback request timeout and once it's committed, then open another bug to update it to 1.2.16?
Or since there is no feedback since the beginning, jut to time out this bug now?
Comment 11 Li-Wen Hsu freebsd_committer 2020-10-12 07:13:32 UTC
(In reply to Daniel Tihanyi from comment #10)
Since the maintainer has no response from the beginning, it's already timeout. We can update this to 1.2.15 now, or if you can prepare the 1.2.16 patch soon, we can also update it to the latest release and it's no need to ask maintainer approval again here.
Comment 12 Daniel Tihanyi 2020-10-12 19:17:44 UTC
(In reply to Li-Wen Hsu from comment #11)
I will try to prepare a diff until the end of the week, I think there is no rush :-).
Comment 13 Daniel Tihanyi 2020-10-19 06:15:34 UTC
Created attachment 218876 [details]
Kanboard 1.2.16 With Flavors and Opcache

I updated the diff to 1.2.16. Also as I mentioned earlier, I would be happy to take over maintainership for this port.
Comment 14 Daniel Tihanyi 2020-10-19 06:17:06 UTC
Release notes for Kanboard 1.2.16:

- Update Composer dependencies
- Update translations
- Add link to toggle column scrolling in board view
- Add missing environment variables in php-fpm config
- Add setting that makes possible any new LDAP user to be Manager by default
- Add ARIA label to modal link with title attribute
- Add ARIA label to user mention
- Add ARIA label to letter avatars
- Add ARIA label to project select role without label
- Add ARIA label to dropdown autocomplete without label
- Add ARIA label to form text editor without label
- Add ARIA label to icons with title attributes
- Add ARIA label for form inputs without labels
- Add ARIA label for elements with titles
- Add hidden accessible form input labels
- Add hidden accessible titles
- Hide user name from screen readers
- Correct table collapsed column titles
- Prevent the original page from being modified by the opened link
- Allow email to be retrieve by SSO ReverseProxy
- Fix grammatically incorrect error message
- Add option to configure SMTP HELO name
- Add new config parameter SESSION_HANDLER
- Fix clearing of all Javascript storage
- Added standard notification footer to comment email template
Comment 15 commit-hook freebsd_committer 2020-10-22 01:12:51 UTC
A commit references this bug:

Author: lwhsu
Date: Thu Oct 22 01:11:58 UTC 2020
New revision: 552918
URL: https://svnweb.freebsd.org/changeset/ports/552918

Log:
  www/kanboard: Update to 1.2.16

  Pass the maintainership to the submitter

  PR:		246268
  Submitted by:	Volodymyr Kostyrko <arcade@b1t.name> (older version),
  		Daniel Tihanyi <daniel.tihanyi@tetragir.com>
  Approved by:	maintainer timeout

Changes:
  head/www/kanboard/Makefile
  head/www/kanboard/distinfo
  head/www/kanboard/pkg-plist